*{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
    scroll-behavior: smooth;    
}

body{
    background: #080808;
    color: #fff;
}

.hero-container {
    height: 100vh;
    /* width: 100vh; */
    display: flex;
    /* flex-direction: col; */
    justify-content: left;
    align-items: top;
    box-shadow: inset 0 0 0 1000px rgba(0, 0, 0, 0.2);
    object-fit: contain;

    font-size: 30px;
    max-width: fit-content;
}

.hero-container-project {
    height: 100vh;
    /* width: 100vh; */
    display: flex;
    /* flex-direction: col; */
    align-items: center;
    max-width: 50%;
    margin: auto;
    /* display: none; */
    /* position: absolute;
    left: -5000px; */
}

video {
    object-fit: cover;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    z-index: -2;
    opacity: 100%;
  }

.hero-container h1{
    /* padding-top: 300px;
    padding-left: 120px;
    padding-right: 20px;
    padding-bottom: 50px; */
    max-width: 1800px;
    /* margin: auto; */
    margin-top: 45px;
    margin-left: 62px;
    font-size: 60px;
    /* margin-top: 20px; */
    align-self: center;
    font-weight: 500;
    line-height: 130%;
    
}

.hero-container h1 span{
    color: #9acefb;
}

.hero-container span{
    font-size: 88px;
}

.h1--hero{
    position: relative;
    padding: 20px;
    padding-left: 50px;
    font-size: 40px;
    bottom:250px;
    /* left:150px; */
    /* overflow: hidden;
    white-space: nowrap;
    width: 0; */
    /* animation: typing;
    animation-duration: 4s;
    animation-timing-function: steps(30, end);
    animation-fill-mode: forwards; */
}

/* @keyframes typing {
    from { width: 0 }
    to { width: 100% }
} */

.test--div{
    margin-left: 80px;
    width: 500px;
    height: 200px;
    background-color: black;
    opacity: 75%;
    border-radius: 10px;
    
}

.hero--statement{
    position: absolute;
    background: #000000;
    padding-left: 20px;
}

#header{
    width: 100%;
    /* height: 100%;     */
    /* background-image: url(aj.jpeg); */
    /* max-height: 40px; */
    background-size: contain;
    background-position: center;
    z-index: 1;
    background-color: #080808;
    position: fixed;
}
.container{
    padding: 10px 10%;
}

.container--home{
    margin: 0;
    position: absolute;
    top: 35%;
    padding: 0px 0%;
}

nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

.logo{
    width: 140px;
}

nav ul li{
    display: inline-block;
    list-style: none;
    margin: 10px 20px;
}

nav ul li a{
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    position: relative;
}
nav ul li a::after{
    content: '';
    width: 0;
    height: 3px;
    background: #9acefb;
    position: absolute;
    left: 0;
    bottom: -6px;
    transition: 0.5s;
}
nav ul li a:hover::after{
    width: 100%;

}
.header-text{
    margin-top: 20%;
    font-size: 30px;
}
.header-text h1{
    font-size: 60px;
    margin-top: 20px;
}
.header-text h1 span{
    color: #9acefb;
}

/* about */
#about{
    padding: 80px 0;
    color: #ababab;
    z-index: 0;
    background: #080808;
    transition: max-width .4s linear;
}
.row{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.row--home{
    display: flex;
    /* justify-content: space-between; */
    flex-wrap: wrap;
}

.about-col-1{
    flex-basis: 35%;
}
.about-col-1 img{
    width: 100%;
    border-radius: 15px;
}
.about-col-2{
    flex-basis: 60%;
}


.about2-col-1{
    flex-basis: 40%;
}
.about2-col-1 img{
    padding-top: 90px;
    width: 100%;
    border-radius: 15px;
}
.about2-col-2{
    flex-basis: 60%;
}

/* #contact{ */
    /* padding-top: 200px; */
/* } */


.sub-title{
    font-size: 60px;
    font-weight: 600;
    color: #fff;
}

.tab-titles{
    display: flex;
    margin: 30px 0 40px;
}
.tab-links{
    margin-right: 50px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
}
.tab-links::after{
    content: '';
    width: 0;
    height: 3px;
    background-color: #9acefb;
    position: absolute;
    left: 0;
    bottom: -8px;
    transition: 0.5s;
}
.tab-links.active-link::after{
    width: 50%;
}

.tab-contents ul li{
    list-style: none;
    margin: 10px 0;
}
.tab-contents ul li span{
    color: #9acefb;
    font-size: 20px;
}

.tab-contents{
    display: none;
}
.tab-contents.active-tab{
    display: block;
}


/* Projects */
#projects{
    padding: 30px 0;
    z-index: 0;
    background: #080808;
}

.projects-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
}
.projects-list div{
    background: #262626;
    padding: 40px;
    font-size: 18px;
    font-weight: 300;
    border-radius: 10px;
    transition: background 0.5s, transform 0.5s;
}
.projects-list div i{
    font-size: 30px;
    margin-bottom: 20px;
}
.projects-list div h2{
    font-size: 35px;
    font-weight: 500;
    margin-bottom: 15px;
}
.projects-list div a{
    text-decoration: none;
    color: #262626;
    font-size: 20px;
    margin-top: 20px;
    display: inline-block;
}
.projects-list div:hover{
    background: #9acefb;
    transform: translateY(-10px);
}
/* portfolio */
#portfolio{
    padding: 50px 0;
    z-index: 0;
    background: #080808;
}
.work-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
}
.work{
    border-radius: 10px;
    position: relative;
    overflow: hidden;
}
.work img{
    width: 100%;
    border-radius: 10px;
    display: block;
    transition: transform 0.5s;
}
.layer{
    width: 100%;
    height: 0;
    background: linear-gradient(rgba(0,0,0,0.6), #9acefb);
    border-radius: 10px;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 40px;
    text-align: center;
    font-size: 14px;
    transition: height 0.5s;
}
.layer h3{
    font-weight: 500;
    margin-bottom: 20px;
}
.layer a{
    margin-top: 20px;
    color: #9acefb;
    text-decoration: none;
    font-size: 18px;
    line-height: 60px;
    background: #fff;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    text-align: center;
}
.work:hover img{
    transform: scale(1.1);
}
.work:hover .layer{
    height: 100%;
}
.btn{
    display: block;
    margin: 50px auto;
    width: fit-content;
    border: 1px solid #9acefb;
    padding: 14px 50px;
    border-radius: 6px;
    text-decoration: none;
    color: #fff;
    transition: background 0.5s;
}
.btn:hover{
    background: #9acefb;
}
/* Contact */
#contact{
    color: #ababab;
    z-index: 0;
    background: #080808;
}
.contact-left{
    flex-basis: 35%;
}
.contact-right{
    flex-basis: 60%;
}
.contact-right p{
    margin-top: 100px;
}
.contact-left p i{
    color: #9acefb;
    margin-right: 15px;
    font-size: 25px;
}
.social-icons{
    margin-top: 30px;
}
/* 
.social-icons p{
    text-decoration: none;
    font-size: 80px;
    margin-right: 15px;
    color: #9acefb;
} */

.social-icons a{
    text-decoration: none;
    font-size: 50px;
    margin-right: 15px;
    color: #9acefb;
}
.contact-left a{
    margin-top: 30px;    
}

#hidan--div{
    display: none;
}

#hidan--div2{
    display: none;
}

#seeless--btn{
    display: none;
}

.pdf--div{
    max-width: 50%;
    margin: auto;
    margin-top: 10px;
}


.popup {
    display: none;
    position: fixed;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 70%;
    height: 600px;
    background-color: white;
    border: 1px solid #ccc;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    z-index: 1000;
  }

  /* Close button */
  .popup .close-btn {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 30px;
    cursor: pointer;
  }

  /* Overlay for the background */
  .overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 999;
}

.contact--p{
    padding-left: 10px;
    text-align: justify;
    margin-right: 15px;
    font-size: 25px;
    max-width: fit-content;
    font-weight: 100;
    color: #ffffff;
    display: flex;
    align-items: center;
}

.contact--p i{
    font-size: 40px;
    margin-right: 30px;
}

#Social{
    padding-bottom: 200px;
}